Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2020 年 10 月

2020 年 10 月 5 日公開 | 2020 年 10 月 6 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2020-10-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)リポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで発見された重大なセキュリティの脆弱性です。この脆弱性により、リモートの攻撃者が特別に細工した通信を使用して追加権限を取得するおそれがあります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づきます。プラットフォームやサービスでのリスク軽減策が開発目的で、または不正な回避策により無効となっていると仮定しています。

Android プラットフォームのセキュリティの向上に役立つ Android セキュリティ プラットフォームでの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を軽減するものです。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題について悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2020-10-01 の脆弱性の詳細

以下に、パッチレベル 2020-10-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

Android ランタイム

Android ランタイムの脆弱性により、ローカルの攻撃者が、ライブラリを使用するアプリのコンテキスト内で任意のコードを実行できるようになるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0408 A-156999009 EoP 8.0、8.1、9、10、11

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0420
A-162383705 EoP 11
CVE-2020-0421 A-161894517 EoP 8.0、8.1、9、10、11
CVE-2020-0246
A-159062405 ID 10、11
CVE-2020-0412
A-160390416 ID 8.0、8.1、9、10、11
CVE-2020-0419
A-142125338 ID 8.1、9、10、11

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性により、追加の実行権限を必要とすることなく、リモートで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0213 A-143464314 ID 10、11
CVE-2020-0411 A-142641801 ID 10、11
CVE-2020-0414
A-157708122 ID 10、11
CVE-2019-2194
A-137284057 EoP 9

システム

システムの最も重大な脆弱性により、リモートの攻撃者が特別に細工した通信を使用して追加権限を取得するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0215
A-140417248 [2] EoP 8.0、8.1、9、10、11
CVE-2020-0416
A-155288585 [2] EoP 8.0、8.1、9、10、11
CVE-2020-0377
A-158833854 ID 8.0、8.1、9、10、11
CVE-2020-0378
A-157748906 ID 9、10、11
CVE-2020-0398
A-154323381 ID 10、11
CVE-2020-0400
A-153356561 ID 10、11
CVE-2020-0410
A-156021269 ID 8.0、8.1、9、10、11
CVE-2020-0413
A-158778659 ID 8.0、8.1、9、10、11
CVE-2020-0415
A-156020795 ID 8.0、8.1、9、10、11
CVE-2020-0422
A-161718556 ID 8.0、8.1、9、10、11

Google Play システム アップデート

プロジェクト Mainline のコンポーネントには次の問題が含まれています。

コンポーネント CVE
メディア コーデック CVE-2020-0213
メディア フレームワーク コンポーネント CVE-2020-0411

セキュリティ パッチレベル 2020-10-05 の脆弱性の詳細

以下に、パッチレベル 2020-10-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

カーネル

カーネルの脆弱性により、ローカルの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-0423 A-161151868* EoP バインダ

MediaTek コンポーネント

これらの脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-0283 A-163008257
M-ALPS05229282*
KeyInstall
CVE-2020-0339 A-162980705
M-ALPS05194445*
Widevine
CVE-2020-0367
A-162980455
M-ALPS05194445*
Widevine
CVE-2020-0371 A-163008256
M-ALPS05229226*
KeyInstall
CVE-2020-0376
A-163003156
M-ALPS05194415*
ISP

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-11125 A-160605820
QC-CR#2617422
QC-CR#2673763
カーネル
CVE-2020-11162 A-160605604
QC-CR#2677376
カーネル
CVE-2020-11173 A-160605709
QC-CR#2646001
カーネル
CVE-2020-11174 A-160605900
QC-CR#2636449
カーネル

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-3654 A-153346045* 重大 クローズドソース コンポーネント
CVE-2020-3657 A-153344684* 重大 クローズドソース コンポーネント
CVE-2020-3673 A-153345154* 重大 クローズドソース コンポーネント
CVE-2020-3692 A-153345116* 重大 クローズドソース コンポーネント
CVE-2020-11154
A-160605708* 重大 クローズドソース コンポーネント
CVE-2020-11155 A-160605404* 重大 クローズドソース コンポーネント
CVE-2020-3638 A-153346253* クローズドソース コンポーネント
CVE-2020-3670 A-153345118* クローズドソース コンポーネント
CVE-2020-3678 A-153345398* クローズドソース コンポーネント
CVE-2020-3684 A-153346047* クローズドソース コンポーネント
CVE-2020-3690 A-153344723* クローズドソース コンポーネント
CVE-2020-3703 A-160605749* クローズドソース コンポーネント
CVE-2020-3704 A-160605508* クローズドソース コンポーネント
CVE-2020-11141 A-160606016* クローズドソース コンポーネント
CVE-2020-11156 A-160605294* クローズドソース コンポーネント
CVE-2020-11157 A-160605864* クローズドソース コンポーネント
CVE-2020-11164 A-160605595* クローズドソース コンポーネント
CVE-2020-11169 A-160605405* クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問についての回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2020-10-01 以降では、セキュリティ パッチレベル 2020-10-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2020-10-05 以降では、セキュリティ パッチレベル 2020-10-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2020-10-01]
  • [ro.build.version.security_patch]:[2020-10-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2020-10-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスで同様の問題が発生する一部の脆弱性をサブセットとし、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2020-10-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2020-10-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、最新のバイナリ ドライバに含まれています(Pixel デバイスの場合、Google デベロッパー サイトから入手できます)。

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、最新のバイナリ ドライバに含まれています(Pixel デバイスの場合、Google デベロッパー サイトから入手できます)。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2020 年 10 月 5 日 情報公開
1.1 2020 年 10 月 6 日 公開情報を改訂し AOSP リンクを追加